Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590591 - NoOption Error for latest RHEL6 nightly during install
Summary: NoOption Error for latest RHEL6 nightly during install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 09:20 UTC by Huzaifa S. Sidhpurwala
Modified: 2010-07-02 20:48 UTC (History)
2 users (show)

Fixed In Version: anaconda-13.21.40-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 20:48:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2010-05-10 09:20:08 UTC
Cannot install latest RHEL6 nightly from 8th May 2010, i get the following traceback.

anaconda 13.21.37 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/ConfigParser.py", line 540, in get
    raise NoOptionError(option, section)
  File "/usr/lib/anaconda/yuminstall.py", line 611, in _getAddons
    validAddons = c.get(section, "addons").split(",")
  File "/usr/lib/anaconda/yuminstall.py", line 783, in doConfigSetup
    addons = self._getAddons(repo.mirrorlist or repo.baseurl[0])
  File "/usr/lib/anaconda/yuminstall.py", line 353, in setup
    self.doConfigSetup(root=self.anaconda.rootPath)
  File "/usr/lib/anaconda/yuminstall.py", line 1187, in doBackendSetup
    self.ayum.setup()
  File "/usr/lib/anaconda/backend.py", line 285, in doBackendSetup
    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 657, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 1107, in <module>
    anaconda.intf.run(anaconda)
NoOptionError: No option 'addons' in section: 'variant-Workstation'


All logs at: 
http://helpdesk-rnd.corp.redhat.com/~huzaifas/rhel6-nooptions/

Comment 2 RHEL Product and Program Management 2010-05-10 10:48:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Chris Lumens 2010-05-10 19:40:36 UTC
Got a patch ready to go, just need a QA ack.

Comment 4 Huzaifa S. Sidhpurwala 2010-05-11 01:59:36 UTC
Can i have an updates.img for testing?

Comment 5 Chris Lumens 2010-05-12 18:34:03 UTC
Make sure you're using the latest tree, and...

updates=http://clumens.fedorapeople.org/590591.img

Comment 6 Huzaifa S. Sidhpurwala 2010-05-13 06:26:42 UTC
Works for me.

Comment 9 Alexander Todorov 2010-06-15 10:33:51 UTC
anaconda 13.21.50 (0610.n.0 tree). No such traceback with the Workstation variant. Install completed successfully. Moving to VERIFIED.

Comment 10 releng-rhel@redhat.com 2010-07-02 20:48:48 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.